Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- ry

# ry

erfa.ry(theta, r)

  Rotate an r-matrix about the y-axis.

  Parameters:
    theta double array
    r double array
  Returns:
    r double array

  Notes

  Wraps ERFA function `eraRy`. Note that, unlike the erfa routine, the python wrapper does not change r in-place. The ERFA documentation is:

      - - - - - -
       e r a R y
      - - - - - -

      Rotate an r-matrix about the y-axis.

      Given:
         theta  double          angle (radians)

      Given and returned:
         r      double[3][3]    r-matrix, rotated

      Notes:

      1) Calling this function with positive theta incorporates in the
         supplied r-matrix r an additional rotation, about the y-axis,
         anticlockwise as seen looking towards the origin from positive y.

      2) The additional rotation can be represented by this matrix:

             (  + cos(theta)     0      - sin(theta)  )
             (                                        )
             (       0           1           0        )
             (                                        )
             (  + sin(theta)     0      + cos(theta)  )

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.